/// <reference types="react" />
import { ColorTokenType } from '@highlight-ui/tokens';
export declare type FontFamily = 'regular' | 'light' | 'solid' | 'brand';
/**
 * @deprecated
 */
export declare type Locale = 'en' | 'de' | 'es';
export declare type Size = 'small' | 'medium' | 'large';
export declare type Direction = 'bottom-left' | 'bottom-right' | 'center' | 'top-left' | 'top-right';
export declare type ComponentMetadata = Record<string, string> & {
    testId?: string;
    actionName?: string;
};
export declare type PropsWithMetadata<P> = P & {
    /** An object consisting of `testId` and `actionName` properties which will be mapped as HTML data attributes onto the root element */
    metadata?: ComponentMetadata;
};
export interface ComponentPropsWithMetadata {
    /** An object consisting of `testId` and `actionName` properties which will be mapped as HTML data attributes onto the root element */
    metadata?: ComponentMetadata;
}
export declare type ParsedMetadata = Record<string, string> & {
    'data-test-id'?: string;
    'data-action-name'?: string;
};
export declare type OutlineVariant = 'default' | 'warning' | 'error';
export declare type ValidationStatus = 'validating' | 'valid' | 'invalid' | 'warning';
export declare type ColorToken = ColorTokenType;
export declare type AProps = React.DetailedHTMLProps<React.AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement>;
export declare type DivProps = React.DetailedHTMLProps<React.HTMLAttributes<HTMLDivElement>, HTMLDivElement>;
export declare type ButtonProps = React.DetailedHTMLProps<React.ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>;
